import { AfterContentInit, AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnInit, QueryList, TemplateRef, ViewContainerRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { UiChosenGroupComponent } from './chosen-group/chosen-group.component';
import { UiChosenOptionComponent } from './chosen-option/chosen-option.component';
export declare class UiChosenComponent implements OnInit, AfterViewInit, OnChanges, AfterContentInit {
    private element;
    private viewContainerRef;
    private changeDetectorRef;
    viewRef: any;
    value: any;
    focused: boolean;
    searchText: string;
    isMobile: boolean;
    control: any;
    search: any;
    ngModel: any;
    required: boolean;
    disabled: boolean;
    placeholder: string;
    persistPlaceholder: string;
    ngModelChange: EventEmitter<any>;
    optionTemplate: TemplateRef<any>;
    inputSearch: ElementRef;
    nativeSelect: ElementRef;
    /**
     * O param 'descendants' fala para o @ContentChildren pegar todos components UiChosenOptionComponent
     * mesmo que eles estejam dentro de outros components(UiChosenGroupComponent)
     */
    options: QueryList<UiChosenOptionComponent>;
    onlyOptions: QueryList<UiChosenOptionComponent>;
    optionsGroup: QueryList<UiChosenGroupComponent>;
    constructor(element: ElementRef, viewContainerRef: ViewContainerRef, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterContentInit(): void;
    writeValue(): void;
    registerOnChange(): void;
    registerOnTouched(): void;
    validate(control: FormControl): {
        [key: string]: any;
    };
    onFocus(): void;
    render(coordinate: any): void;
    open(element: any, coordinate: any): void;
    close(): void;
    setValue(value: any): void;
    select(option: any): void;
    filterList(): void;
    clearFilter(): void;
    changeNativeSelect(): void;
    trackByValue(index: any, option: any): any;
    updateOptionLabel(label: any): void;
    loadOption(option: UiChosenOptionComponent): void;
}
