import { AfterViewInit, ChangeDetectorRef, ElementRef, QueryList } from '@angular/core';
import { UiTabComponent } from '../tab.component';
import { UiTabHeaderComponent } from '../header/tab-header.component';
import { AnimationEvent } from '@angular/animations';
export declare class UiTabGroupComponent implements AfterViewInit {
    private changeDetectorRef;
    private element;
    tabsQueryList: QueryList<UiTabComponent>;
    tabHeader: UiTabHeaderComponent;
    tabsContentElement: ElementRef;
    active: number;
    fillBackground: boolean;
    themeInkBar: boolean;
    accent: boolean;
    topIcon: boolean;
    lazyLoad: boolean;
    tabs: any[];
    activatedTab: UiTabComponent;
    animation: boolean;
    constructor(changeDetectorRef: ChangeDetectorRef, element: ElementRef);
    ngAfterViewInit(): void;
    /**
     * Atribuí os index para as tabs
     **/
    generateIndexes(): void;
    /**
     * Retorna a primeira tab que não está desabilitada
    **/
    getFirstTab(tabIndex: number): any;
    /**
     * Retorna a refencia da tab em HTML
    **/
    getTabRef(tab: UiTabComponent): any;
    /**
     * Ativa uma tab
     * */
    activateTab(tab: UiTabComponent, tabRef: HTMLElement): void;
    /**
     * Altera em todos components(UiTabComponent) o index da nova tab ativada
     **/
    updateActivatedTab(): void;
    /**
     * Callback para quando a animação do conteúdo da tab iniciar
     * */
    startTranslateAnimation(event: AnimationEvent): void;
    /**
     * Callback para quando a animação do conteúdo da tab terminar
     * */
    doneTranslateAnimation(event: AnimationEvent): void;
}
