import { DatePipe } from '@angular/common';
import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
export declare class UiMaskDateDirective implements ControlValueAccessor, Validator, OnChanges, AfterViewInit, OnInit {
    elementRef: ElementRef;
    datePipe: DatePipe;
    loaded: boolean;
    input: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: any;
    maxlength: number;
    regex: RegExp;
    regexiso: RegExp;
    symbolsPositions: number[];
    dateFormatsList: {
        format: string;
        maxlength: number;
        regex: RegExp;
        symbolsPositions: number[];
    }[];
    minDate: Date;
    maxDate: Date;
    ngModel: any;
    dateFormat: string;
    day: string;
    year: string;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, datePipe: DatePipe);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(date: string): string;
    /**
     * Verifica se o formato da data é válido
     */
    validaDateFormat(): void;
    ngOnChanges(changes: any): void;
    /**
     * Retorna o valor formatado corretamente p/ uma data válida
     * @param value { string } valor da view
     */
    getCorrectValue(value: string): string;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
